Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.javafile.metadata
Class FieldMetadata

    java.lang.Object
      org.modeshape.sequencer.javafile.metadata.AbstractMetadata
          org.modeshape.sequencer.javafile.metadata.FieldMetadata

    public class FieldMetadata

extends AbstractMetadata

FieldMetadata is the base class of all fields.

Nested Class Summary
`static class` | `FieldMetadata.Type`

Field Summary

Fields inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata
`ABSTRACT, FINAL, name, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT_FP, SYNCRHONIZED, TRANSIENT, VOLATILE`

Method Summary
`static FieldMetadata` | `arrayType(String type)`
`FieldMetadata.Type` | `getMetadataType()`
`String` | `getType()`
`List<Variable>` | `getVariables()`
`static FieldMetadata` | `parametrizedType(String type)`
`static FieldMetadata` | `primitiveType(String type)`
`static FieldMetadata` | `qualifiedType(String type)`
`static FieldMetadata` | `simpleType(String type)`
`static FieldMetadata` | `wildcardType(String type)`

Methods inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata
`getAnnotations, getModifiers, getName, hasAbstractModifier, hasFinalModifier, hasNativeModifier, hasPrivateVisibility, hasProtectedVisibility, hasPublicVisibility, hasStaticModifier, hasStrictFPModifier, hasSynchronizedModifier, hasTransientModifier, hasVolatileModifier, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getVariables

    public List<Variable> getVariables()

### getType

    public String getType()

### getMetadataType

    public FieldMetadata.Type getMetadataType()

### primitiveType

    public static FieldMetadata primitiveType(String type)

### simpleType

    public static FieldMetadata simpleType(String type)

### arrayType

    public static FieldMetadata arrayType(String type)

### qualifiedType

    public static FieldMetadata qualifiedType(String type)

### parametrizedType

    public static FieldMetadata parametrizedType(String type)

### wildcardType

    public static FieldMetadata wildcardType(String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.